Summary:	GNOME GUI Tool for Proftpd Server Configuration
Name:		gproftpd
Version:	8.2.8
Release:	%mkrel 1
Group:		System/Configuration/Networking
License:	GPL
URL:		http://www.gadmintools.org/
Source0:	http://mange.dynup.net/linux/gproftpd/%{name}-%{version}.tar.bz2
Source1:	%{name}.pam-0.77.bz2
Source2:	%{name}.pam.bz2
Requires:	proftpd >= 1.2.8
Requires:	usermode-consoleonly
BuildRequires:	gtk+2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GProftpd is a fast and easy to use GNOME2 administration tool for
the Proftpd standalone server.

%prep

%setup -q

# fix conditional pam config file
%if %{mdkversion} < 200610
bzcat %{SOURCE1} > %{name}.pam
%else
bzcat %{SOURCE2} > %{name}.pam
%endif

%build
# (Abel) otherwise it would try to find files such as /var/lib/log/xferlog
%define _localstatedir /var

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_docdir

install -d %{buildroot}%{_sysconfdir}/pam.d/
install -m0644 %{name}.pam %{buildroot}%{_sysconfdir}/pam.d/%{name}

# locales
%find_lang %name

# Mandrake Icons
install -D -m644 pixmaps/%{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 pixmaps/%{name}16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 pixmaps/%{name}48.png %{buildroot}%{_liconsdir}/%{name}.png

# Mandrake Menus
install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_sbindir}/%{name}" \
 title="GProftpd" \
 longtitle="Proftpd administration tool" \
 needs="x11" \
 icon="%{name}.png" \
 section="System/Configuration/Networking" \
 xdg="true" 
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_sbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
EOF


# Prepare usermode entry
mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_sbindir}/%{name}.real
ln -s %{_bindir}/consolehelper %{buildroot}%{_sbindir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<_EOF_
USER=root
PROGRAM=%{_sbindir}/%{name}.real
SESSION=true
FALLBACK=false
_EOF_

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}.real
%{_sbindir}/gprostats
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*
%defattr(0600,root,root,0700)
%config(noreplace) %{_sysconfdir}/%{name}

%changelog
* Thu Jul 27 2006 Jerome Soyer <saispo@mandriva.org> 8.2.8-1mdv2007.0
- New version 8.2.8

* Thu Jul 20 2006 Jerome Soyer <saispo@mandriva.org> 8.2.6-1mdv2007.0
- New version 8.2.6

* Wed Jul 12 2006 Lenny Cartier <lenny@mandriva.com> 8.2.5-1mdv2007.0
- xdg

* Fri Jul 07 2006 Austin Acton <austin@mandriva.org> 8.2.4-1mdv2007.0
- New release 8.2.4
- fix menu

* Mon Mar 27 2006 Jerome Soyer <saispo@mandriva.org> 8.2.3-1mdk
- New release 8.2.3

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 8.2.2-2mdk
- fix url
- make it backportable for older pam (S1,S2)

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 8.2.2-1mdk
- 8.2.2

* Wed Apr 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 8.2.1-1mdk
- 8.2.1

* Thu Mar 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 8.2.0-1mdk
- 8.2.0

* Wed Feb 16 2005 Austin Acton <austin@mandrake.org> 8.1.9-1mdk
- 8.1.9

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 8.1.8-3mdk
- fix source URL and actually check it this time

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 8.1.8-2mdk
- source URL

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 8.1.8-1mdk
- 8.1.8

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 8.1.7-2mdk
- fix two rplint errors

* Tue Jul 13 2004 Austin Acton <austin@mandrake.org> 8.1.7-1mdk
- 8.1.7
- add locales
- remove COPYING file
- new menu

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 8.1.6-1mdk
- 8.1.6

* Wed Feb 11 2004 Austin Acton <austin@mandrake.org> 8.1.5-1mdk
- 8.1.5

* Tue Jan 27 2004 Abel Cheung <deaddog@deaddog.org> 8.1.4-3mdk
- Allow sudo-like privilege for short time after authentication,
  and use system-auth instead of pwdb

* Fri Jan 16 2004 Stefan van der Eijk <stefan@eijk.nu> 8.1.4-2mdk
- reupload

* Fri Jan 9 2004 Austin Acton <austin@linux.ca> 8.1.4-1mdk
- 8.1.4

* Tue Jan 6 2004 Austin Acton <austin@linux.ca> 8.1.3-1mdk
- 8.1.3

* Mon Dec 29 2003 Austin Acton <austin@linux.ca> 8.1.2-1mdk
- 8.1.2

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 8.1.1-1mdk
- 8.1.1

* Wed Nov 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 8.1.0-1mdk
- 8.1.0

* Sun Oct 26 2003 Abel Cheung <deaddog@deaddog.org> 8.0.9-1mdk
- 8.0.9
- Fix buildrequires, group etc
- Register usermode entry instead of using gksu, because gksu
  seems won't work with XIM

* Wed Sep 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 8.0.8-1mdk
- 8.0.8

* Thu Aug 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.7-2mdk
- buildrequires pkgconfig

* Tue Aug 26 2003 Austin Acton <aacton@yorku.ca> 8.0.7-1mdk
- 8.0.7
- prompt for root password
- simplify install
- remove a few extraneous (build)requires
- use Mandrake icon system

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.6-1mdk
- 8.0.6
- use the %%configure2_5x macro

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.5-1mdk
- 8.0.5

* Wed May 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.4-1mdk
- 8.0.4
- added the %{_bindir}/gprostats utility

* Fri Apr 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.3-1mdk
- 8.0.3
- misc spec file fixes

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.1-1mdk
- 8.0.1

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.0-2mdk
- build release

* Fri Aug 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.0-1mdk
- new gnome2 version + icons, thanks Magnus!
- first try at a menu entry for gproftpd

* Thu Aug 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 7.4.3-2mdk
- fix BuildRequires and %%description

* Wed Aug 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 7.4.3-1mdk
- used the GnoSamba spec file as template
- initial cooker contrib

